PETSc version 3.15.5
Fix/Edit manual page

# VecGetDM

Gets the DM defining the data layout of the vector

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode VecGetDM(Vec v, DM *dm)

Not collective

### Input Parameter

| v | - The Vec

### Output Parameter

| dm | - The DM

### See Also

VecSetDM(), DMGetLocalVector(), DMGetGlobalVector(), DMSetVecType()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ksp/ksp/tutorials/ex43.c.html
src/snes/tutorials/ex22.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex48.c.html
src/ts/tutorials/ex52.c.html
src/ts/utils/dmplexlandau/tutorials/ex2.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages